diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-enb-mac.h ns-3.44/src/lte/model/lte-enb-mac.h
--- ns-3.43/src/lte/model/lte-enb-mac.h	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/lte-enb-mac.h	2025-03-09 16:55:49.599372000 -0700
@@ -21,11 +21,11 @@
 #include "lte-enb-phy-sap.h"
 #include "lte-mac-sap.h"
 
-#include <ns3/nstime.h>
-#include <ns3/packet-burst.h>
-#include <ns3/packet.h>
-#include <ns3/trace-source-accessor.h>
-#include <ns3/traced-value.h>
+#include "ns3/nstime.h"
+#include "ns3/packet-burst.h"
+#include "ns3/packet.h"
+#include "ns3/trace-source-accessor.h"
+#include "ns3/traced-value.h"
 
 #include <map>
 #include <vector>
@@ -60,8 +60,8 @@
 
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -70,87 +70,87 @@
     void DoDispose() override;
 
     /**
-     * \brief Set the component carrier ID
-     * \param index the component carrier ID
+     * @brief Set the component carrier ID
+     * @param index the component carrier ID
      */
     void SetComponentCarrierId(uint8_t index);
     /**
-     * \brief Set the scheduler SAP provider
-     * \param s a pointer SAP provider of the FF packet scheduler
+     * @brief Set the scheduler SAP provider
+     * @param s a pointer SAP provider of the FF packet scheduler
      */
     void SetFfMacSchedSapProvider(FfMacSchedSapProvider* s);
     /**
-     * \brief Get the scheduler SAP user
-     * \return a pointer to the SAP user of the scheduler
+     * @brief Get the scheduler SAP user
+     * @return a pointer to the SAP user of the scheduler
      */
     FfMacSchedSapUser* GetFfMacSchedSapUser();
     /**
-     * \brief Set the control scheduler SAP provider
-     * \param s a pointer to the control scheduler SAP provider
+     * @brief Set the control scheduler SAP provider
+     * @param s a pointer to the control scheduler SAP provider
      */
     void SetFfMacCschedSapProvider(FfMacCschedSapProvider* s);
     /**
-     * \brief Get the control scheduler SAP user
-     * \return a pointer to the control scheduler SAP user
+     * @brief Get the control scheduler SAP user
+     * @return a pointer to the control scheduler SAP user
      */
     FfMacCschedSapUser* GetFfMacCschedSapUser();
 
     /**
-     * \brief Set the MAC SAP user
-     * \param s a pointer to the MAC SAP user
+     * @brief Set the MAC SAP user
+     * @param s a pointer to the MAC SAP user
      */
     void SetLteMacSapUser(LteMacSapUser* s);
     /**
-     * \brief Get the MAC SAP provider
-     * \return a pointer to the SAP provider of the MAC
+     * @brief Get the MAC SAP provider
+     * @return a pointer to the SAP provider of the MAC
      */
     LteMacSapProvider* GetLteMacSapProvider();
     /**
-     * \brief Set the control MAC SAP user
-     * \param s a pointer to the control MAC SAP user
+     * @brief Set the control MAC SAP user
+     * @param s a pointer to the control MAC SAP user
      */
     void SetLteEnbCmacSapUser(LteEnbCmacSapUser* s);
     /**
-     * \brief Get the control MAC SAP provider
-     * \return a pointer to the control MAC SAP provider
+     * @brief Get the control MAC SAP provider
+     * @return a pointer to the control MAC SAP provider
      */
     LteEnbCmacSapProvider* GetLteEnbCmacSapProvider();
 
     /**
-     * \brief Get the eNB-PHY SAP User
-     * \return a pointer to the SAP User of the PHY
+     * @brief Get the eNB-PHY SAP User
+     * @return a pointer to the SAP User of the PHY
      */
     LteEnbPhySapUser* GetLteEnbPhySapUser();
 
     /**
-     * \brief Set the PHY SAP Provider
-     * \param s a pointer to the PHY SAP provider
+     * @brief Set the PHY SAP Provider
+     * @param s a pointer to the PHY SAP provider
      */
     void SetLteEnbPhySapProvider(LteEnbPhySapProvider* s);
 
     /**
-     * \brief Get the eNB-ComponentCarrierManager SAP User
-     * \return a pointer to the SAP User of the ComponentCarrierManager
+     * @brief Get the eNB-ComponentCarrierManager SAP User
+     * @return a pointer to the SAP User of the ComponentCarrierManager
      */
     LteCcmMacSapProvider* GetLteCcmMacSapProvider();
 
     /**
-     * \brief Set the ComponentCarrierManager SAP user
-     * \param s a pointer to the ComponentCarrierManager provider
+     * @brief Set the ComponentCarrierManager SAP user
+     * @param s a pointer to the ComponentCarrierManager provider
      */
     void SetLteCcmMacSapUser(LteCcmMacSapUser* s);
 
     /**
      * TracedCallback signature for DL scheduling events.
      *
-     * \param [in] frame Frame number.
-     * \param [in] subframe Subframe number.
-     * \param [in] rnti The C-RNTI identifying the UE.
-     * \param [in] mcs0 The MCS for transport block..
-     * \param [in] tbs0Size
-     * \param [in] mcs1 The MCS for transport block.
-     * \param [in] tbs1Size
-     * \param [in] component carrier id
+     * @param [in] frame Frame number.
+     * @param [in] subframe Subframe number.
+     * @param [in] rnti The C-RNTI identifying the UE.
+     * @param [in] mcs0 The MCS for transport block..
+     * @param [in] tbs0Size
+     * @param [in] mcs1 The MCS for transport block.
+     * @param [in] tbs1Size
+     * @param [in] component carrier id
      */
     typedef void (*DlSchedulingTracedCallback)(const uint32_t frame,
                                                const uint32_t subframe,
@@ -164,11 +164,11 @@
     /**
      *  TracedCallback signature for UL scheduling events.
      *
-     * \param [in] frame Frame number.
-     * \param [in] subframe Subframe number.
-     * \param [in] rnti The C-RNTI identifying the UE.
-     * \param [in] mcs  The MCS for transport block
-     * \param [in] tbsSize
+     * @param [in] frame Frame number.
+     * @param [in] subframe Subframe number.
+     * @param [in] rnti The C-RNTI identifying the UE.
+     * @param [in] mcs  The MCS for transport block
+     * @param [in] tbsSize
      */
     typedef void (*UlSchedulingTracedCallback)(const uint32_t frame,
                                                const uint32_t subframe,
@@ -178,165 +178,165 @@
 
   private:
     /**
-     * \brief Receive a DL CQI ideal control message
-     * \param msg the DL CQI message
+     * @brief Receive a DL CQI ideal control message
+     * @param msg the DL CQI message
      */
     void ReceiveDlCqiLteControlMessage(Ptr<DlCqiLteControlMessage> msg);
 
     /**
-     * \brief Receive a DL CQI ideal control message
-     * \param msg the DL CQI message
+     * @brief Receive a DL CQI ideal control message
+     * @param msg the DL CQI message
      */
     void DoReceiveLteControlMessage(Ptr<LteControlMessage> msg);
 
     /**
-     * \brief Receive a CE element containing the buffer status report
-     * \param bsr the BSR message
+     * @brief Receive a CE element containing the buffer status report
+     * @param bsr the BSR message
      */
     void ReceiveBsrMessage(MacCeListElement_s bsr);
 
     /**
-     * \brief UL CQI report
-     * \param ulcqi FfMacSchedSapProvider::SchedUlCqiInfoReqParameters
+     * @brief UL CQI report
+     * @param ulcqi FfMacSchedSapProvider::SchedUlCqiInfoReqParameters
      */
     void DoUlCqiReport(FfMacSchedSapProvider::SchedUlCqiInfoReqParameters ulcqi);
 
     // forwarded from LteEnbCmacSapProvider
     /**
-     * \brief Configure MAC function
-     * \param ulBandwidth the UL bandwidth
-     * \param dlBandwidth the DL bandwidth
+     * @brief Configure MAC function
+     * @param ulBandwidth the UL bandwidth
+     * @param dlBandwidth the DL bandwidth
      */
     void DoConfigureMac(uint16_t ulBandwidth, uint16_t dlBandwidth);
     /**
-     * \brief Add UE function
-     * \param rnti the RNTI
+     * @brief Add UE function
+     * @param rnti the RNTI
      */
     void DoAddUe(uint16_t rnti);
     /**
-     * \brief Remove UE function
-     * \param rnti the RNTI
+     * @brief Remove UE function
+     * @param rnti the RNTI
      */
     void DoRemoveUe(uint16_t rnti);
     /**
-     * \brief Add LC function
-     * \param lcinfo the LC info
-     * \param msu the LTE MAC SAP user
+     * @brief Add LC function
+     * @param lcinfo the LC info
+     * @param msu the LTE MAC SAP user
      */
     void DoAddLc(LteEnbCmacSapProvider::LcInfo lcinfo, LteMacSapUser* msu);
     /**
-     * \brief Reconfigure LC function
-     * \param lcinfo the LC info
+     * @brief Reconfigure LC function
+     * @param lcinfo the LC info
      */
     void DoReconfigureLc(LteEnbCmacSapProvider::LcInfo lcinfo);
     /**
-     * \brief Release LC function
-     * \param rnti the RNTI
-     * \param lcid the LCID
+     * @brief Release LC function
+     * @param rnti the RNTI
+     * @param lcid the LCID
      */
     void DoReleaseLc(uint16_t rnti, uint8_t lcid);
     /**
-     * \brief UE Update configuration request function
-     * \param params LteEnbCmacSapProvider::UeConfig
+     * @brief UE Update configuration request function
+     * @param params LteEnbCmacSapProvider::UeConfig
      */
     void DoUeUpdateConfigurationReq(LteEnbCmacSapProvider::UeConfig params);
     /**
-     * \brief Get RACH configuration function
-     * \returns LteEnbCmacSapProvider::RachConfig
+     * @brief Get RACH configuration function
+     * @returns LteEnbCmacSapProvider::RachConfig
      */
     LteEnbCmacSapProvider::RachConfig DoGetRachConfig() const;
     /**
-     * \brief Allocate NC RA preamble function
-     * \param rnti the RNTI
-     * \returns LteEnbCmacSapProvider::AllocateNcRaPreambleReturnValue
+     * @brief Allocate NC RA preamble function
+     * @param rnti the RNTI
+     * @returns LteEnbCmacSapProvider::AllocateNcRaPreambleReturnValue
      */
     LteEnbCmacSapProvider::AllocateNcRaPreambleReturnValue DoAllocateNcRaPreamble(uint16_t rnti);
 
     // forwarded from LteMacSapProvider
     /**
-     * \brief Transmit PDU function
-     * \param params LteMacSapProvider::TransmitPduParameters
+     * @brief Transmit PDU function
+     * @param params LteMacSapProvider::TransmitPduParameters
      */
     void DoTransmitPdu(LteMacSapProvider::TransmitPduParameters params);
     /**
-     * \brief Report Buffer Status function
-     * \param params LteMacSapProvider::ReportBufferStatusParameters
+     * @brief Report Buffer Status function
+     * @param params LteMacSapProvider::ReportBufferStatusParameters
      */
     void DoReportBufferStatus(LteMacSapProvider::ReportBufferStatusParameters params);
 
     // forwarded from FfMacCchedSapUser
     /**
-     * \brief CSched Cell Config configure function
-     * \param params FfMacCschedSapUser::CschedCellConfigCnfParameters
+     * @brief CSched Cell Config configure function
+     * @param params FfMacCschedSapUser::CschedCellConfigCnfParameters
      */
     void DoCschedCellConfigCnf(FfMacCschedSapUser::CschedCellConfigCnfParameters params);
     /**
-     * \brief CSched UE Config configure function
-     * \param params FfMacCschedSapUser::CschedUeConfigCnfParameters
+     * @brief CSched UE Config configure function
+     * @param params FfMacCschedSapUser::CschedUeConfigCnfParameters
      */
     void DoCschedUeConfigCnf(FfMacCschedSapUser::CschedUeConfigCnfParameters params);
     /**
-     * \brief CSched LC Config configure function
-     * \param params FfMacCschedSapUser::CschedLcConfigCnfParameters
+     * @brief CSched LC Config configure function
+     * @param params FfMacCschedSapUser::CschedLcConfigCnfParameters
      */
     void DoCschedLcConfigCnf(FfMacCschedSapUser::CschedLcConfigCnfParameters params);
     /**
-     * \brief CSched LC Release configure function
-     * \param params FfMacCschedSapUser::CschedLcReleaseCnfParameters
+     * @brief CSched LC Release configure function
+     * @param params FfMacCschedSapUser::CschedLcReleaseCnfParameters
      */
     void DoCschedLcReleaseCnf(FfMacCschedSapUser::CschedLcReleaseCnfParameters params);
     /**
-     * \brief CSched UE Release configure function
-     * \param params FfMacCschedSapUser::CschedUeReleaseCnfParameters
+     * @brief CSched UE Release configure function
+     * @param params FfMacCschedSapUser::CschedUeReleaseCnfParameters
      */
     void DoCschedUeReleaseCnf(FfMacCschedSapUser::CschedUeReleaseCnfParameters params);
     /**
-     * \brief CSched UE Config Update Indication function
-     * \param params FfMacCschedSapUser::CschedUeConfigUpdateIndParameters
+     * @brief CSched UE Config Update Indication function
+     * @param params FfMacCschedSapUser::CschedUeConfigUpdateIndParameters
      */
     void DoCschedUeConfigUpdateInd(FfMacCschedSapUser::CschedUeConfigUpdateIndParameters params);
     /**
-     * \brief CSched Cell Config Update Indication function
-     * \param params FfMacCschedSapUser::CschedCellConfigUpdateIndParameters
+     * @brief CSched Cell Config Update Indication function
+     * @param params FfMacCschedSapUser::CschedCellConfigUpdateIndParameters
      */
     void DoCschedCellConfigUpdateInd(
         FfMacCschedSapUser::CschedCellConfigUpdateIndParameters params);
 
     // forwarded from FfMacSchedSapUser
     /**
-     * \brief Sched DL Config Indication function
-     * \param ind FfMacSchedSapUser::SchedDlConfigIndParameters
+     * @brief Sched DL Config Indication function
+     * @param ind FfMacSchedSapUser::SchedDlConfigIndParameters
      */
     void DoSchedDlConfigInd(FfMacSchedSapUser::SchedDlConfigIndParameters ind);
     /**
-     * \brief Sched UL Config Indication function
-     * \param params FfMacSchedSapUser::SchedUlConfigIndParameters
+     * @brief Sched UL Config Indication function
+     * @param params FfMacSchedSapUser::SchedUlConfigIndParameters
      */
     void DoSchedUlConfigInd(FfMacSchedSapUser::SchedUlConfigIndParameters params);
 
     // forwarded from LteEnbPhySapUser
     /**
-     * \brief Subrame Indication function
-     * \param frameNo frame number
-     * \param subframeNo subframe number
+     * @brief Subrame Indication function
+     * @param frameNo frame number
+     * @param subframeNo subframe number
      */
     void DoSubframeIndication(uint32_t frameNo, uint32_t subframeNo);
     /**
-     * \brief Receive RACH Preamble function
-     * \param prachId PRACH ID number
+     * @brief Receive RACH Preamble function
+     * @param prachId PRACH ID number
      */
     void DoReceiveRachPreamble(uint8_t prachId);
 
     // forwarded by LteCcmMacSapProvider
     /**
      * Report MAC CE to scheduler
-     * \param bsr the BSR
+     * @param bsr the BSR
      */
     void DoReportMacCeToScheduler(MacCeListElement_s bsr);
 
     /**
-     * \brief Report SR to scheduler
-     * \param rnti RNTI of the UE that requested the SR
+     * @brief Report SR to scheduler
+     * @param rnti RNTI of the UE that requested the SR
      *
      * Since SR is not implemented in LTE, this method does nothing.
      */
@@ -347,19 +347,19 @@
   public:
     /**
      * legacy public for use the Phy callback
-     * \param p packet
+     * @param p packet
      */
     void DoReceivePhyPdu(Ptr<Packet> p);
 
   private:
     /**
-     * \brief UL Info List Elements HARQ Feedback function
-     * \param params UlInfoListElement_s
+     * @brief UL Info List Elements HARQ Feedback function
+     * @param params UlInfoListElement_s
      */
     void DoUlInfoListElementHarqFeedback(UlInfoListElement_s params);
     /**
-     * \brief DL Info List Elements HARQ Feedback function
-     * \param params DlInfoListElement_s
+     * @brief DL Info List Elements HARQ Feedback function
+     * @param params DlInfoListElement_s
      */
     void DoDlInfoListElementHarqFeedback(DlInfoListElement_s params);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-enb-net-device.cc ns-3.44/src/lte/model/lte-enb-net-device.cc
--- ns-3.43/src/lte/model/lte-enb-net-device.cc	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/lte-enb-net-device.cc	2025-03-09 16:55:49.599372000 -0700
@@ -22,22 +22,22 @@
 #include "lte-handover-algorithm.h"
 #include "lte-net-device.h"
 
-#include <ns3/abort.h>
-#include <ns3/callback.h>
-#include <ns3/enum.h>
-#include <ns3/ipv4-l3-protocol.h>
-#include <ns3/ipv6-l3-protocol.h>
-#include <ns3/llc-snap-header.h>
-#include <ns3/log.h>
-#include <ns3/node.h>
-#include <ns3/object-factory.h>
-#include <ns3/object-map.h>
-#include <ns3/packet-burst.h>
-#include <ns3/packet.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
-#include <ns3/trace-source-accessor.h>
-#include <ns3/uinteger.h>
+#include "ns3/abort.h"
+#include "ns3/callback.h"
+#include "ns3/enum.h"
+#include "ns3/ipv4-l3-protocol.h"
+#include "ns3/ipv6-l3-protocol.h"
+#include "ns3/llc-snap-header.h"
+#include "ns3/log.h"
+#include "ns3/node.h"
+#include "ns3/object-factory.h"
+#include "ns3/object-map.h"
+#include "ns3/packet-burst.h"
+#include "ns3/packet.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
+#include "ns3/trace-source-accessor.h"
+#include "ns3/uinteger.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-enb-net-device.h ns-3.44/src/lte/model/lte-enb-net-device.h
--- ns-3.43/src/lte/model/lte-enb-net-device.h	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/lte-enb-net-device.h	2025-03-09 16:55:49.599372000 -0700
@@ -40,7 +40,7 @@
 class LteEnbComponentCarrierManager;
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * The eNodeB device implementation
  */
@@ -48,8 +48,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -62,103 +62,103 @@
     bool Send(Ptr<Packet> packet, const Address& dest, uint16_t protocolNumber) override;
 
     /**
-     * \return a pointer to the MAC of the PCC.
+     * @return a pointer to the MAC of the PCC.
      */
     Ptr<LteEnbMac> GetMac() const;
 
     /**
-     * \param index CC index
-     * \return a pointer to the MAC of the CC addressed by index.
+     * @param index CC index
+     * @return a pointer to the MAC of the CC addressed by index.
      */
     Ptr<LteEnbMac> GetMac(uint8_t index) const;
 
     /**
-     * \return a pointer to the physical layer of the PCC.
+     * @return a pointer to the physical layer of the PCC.
      */
     Ptr<LteEnbPhy> GetPhy() const;
 
     /**
-     * \param index SCC index
-     * \return a pointer to the physical layer of the SCC addressed by index.
+     * @param index SCC index
+     * @return a pointer to the physical layer of the SCC addressed by index.
      */
     Ptr<LteEnbPhy> GetPhy(uint8_t index) const;
 
     /**
-     * \return a pointer to the Radio Resource Control instance of the eNB
+     * @return a pointer to the Radio Resource Control instance of the eNB
      */
     Ptr<LteEnbRrc> GetRrc() const;
 
     /**
-     * \return a pointer to the ComponentCarrierManager instance of the eNB
+     * @return a pointer to the ComponentCarrierManager instance of the eNB
      */
     Ptr<LteEnbComponentCarrierManager> GetComponentCarrierManager() const;
 
     /**
-     * \return the Cell Identifier of this eNB
+     * @return the Cell Identifier of this eNB
      */
     uint16_t GetCellId() const;
 
     /**
-     * \return the identifiers of cells served by this eNB
+     * @return the identifiers of cells served by this eNB
      */
     std::vector<uint16_t> GetCellIds() const;
 
     /**
-     * \param cellId cell ID
-     * \return true if cellId is served by this eNB
+     * @param cellId cell ID
+     * @return true if cellId is served by this eNB
      */
     bool HasCellId(uint16_t cellId) const;
 
     /**
-     * \return the uplink bandwidth in RBs
+     * @return the uplink bandwidth in RBs
      */
     uint16_t GetUlBandwidth() const;
 
     /**
-     * \param bw the uplink bandwidth in RBs
+     * @param bw the uplink bandwidth in RBs
      */
     void SetUlBandwidth(uint16_t bw);
 
     /**
-     * \return the downlink bandwidth in RBs
+     * @return the downlink bandwidth in RBs
      */
     uint16_t GetDlBandwidth() const;
 
     /**
-     * \param bw the downlink bandwidth in RBs
+     * @param bw the downlink bandwidth in RBs
      */
     void SetDlBandwidth(uint16_t bw);
 
     /**
-     * \return the downlink carrier frequency (EARFCN)
+     * @return the downlink carrier frequency (EARFCN)
      */
     uint32_t GetDlEarfcn() const;
 
     /**
-     * \param earfcn the downlink carrier frequency (EARFCN)
+     * @param earfcn the downlink carrier frequency (EARFCN)
      */
     void SetDlEarfcn(uint32_t earfcn);
 
     /**
-     * \return the uplink carrier frequency (EARFCN)
+     * @return the uplink carrier frequency (EARFCN)
      */
     uint32_t GetUlEarfcn() const;
 
     /**
-     * \param earfcn the uplink carrier frequency (EARFCN)
+     * @param earfcn the uplink carrier frequency (EARFCN)
      */
     void SetUlEarfcn(uint32_t earfcn);
 
     /**
-     * \brief Returns the CSG ID of the eNodeB.
-     * \return the Closed Subscriber Group identity
+     * @brief Returns the CSG ID of the eNodeB.
+     * @return the Closed Subscriber Group identity
      * \sa LteEnbNetDevice::SetCsgId
      */
     uint32_t GetCsgId() const;
 
     /**
-     * \brief Associate the eNodeB device with a particular CSG.
-     * \param csgId the intended Closed Subscriber Group identity
+     * @brief Associate the eNodeB device with a particular CSG.
+     * @param csgId the intended Closed Subscriber Group identity
      *
      * CSG identity is a number identifying a Closed Subscriber Group which the
      * cell belongs to. eNodeB is associated with a single CSG identity.
@@ -171,15 +171,15 @@
     void SetCsgId(uint32_t csgId);
 
     /**
-     * \brief Returns the CSG indication flag of the eNodeB.
-     * \return the CSG indication flag
+     * @brief Returns the CSG indication flag of the eNodeB.
+     * @return the CSG indication flag
      * \sa LteEnbNetDevice::SetCsgIndication
      */
     bool GetCsgIndication() const;
 
     /**
-     * \brief Enable or disable the CSG indication flag.
-     * \param csgIndication if TRUE, only CSG members are allowed to access this
+     * @brief Enable or disable the CSG indication flag.
+     * @param csgIndication if TRUE, only CSG members are allowed to access this
      *                      cell
      *
      * When the CSG indication field is set to TRUE, only UEs which are members of
@@ -187,7 +187,7 @@
      * enforcing closed access mode. Otherwise, the eNodeB operates as a non-CSG
      * cell and implements open access mode.
      *
-     * \note This restriction only applies to initial cell selection and
+     * @note This restriction only applies to initial cell selection and
      *       EPC-enabled simulation.
      *
      * \sa LteEnbNetDevice::SetCsgIndication
@@ -195,15 +195,15 @@
     void SetCsgIndication(bool csgIndication);
 
     /**
-     * \brief Set the ComponentCarrier Map of the Enb
-     * \param ccm the map of ComponentCarrierEnb
+     * @brief Set the ComponentCarrier Map of the Enb
+     * @param ccm the map of ComponentCarrierEnb
      *
      */
 
     void SetCcMap(std::map<uint8_t, Ptr<ComponentCarrierBaseStation>> ccm);
 
     /**
-     * \returns  The Component Carrier Map of the Enb.
+     * @returns  The Component Carrier Map of the Enb.
      *
      */
 
@@ -218,7 +218,7 @@
     bool m_isConfigured;  ///< is configured?
 
     /**
-     * \brief Propagate attributes and configuration to sub-modules.
+     * @brief Propagate attributes and configuration to sub-modules.
      *
      * Several attributes (e.g., the bandwidth) are exported as the attributes of
      * the LteEnbNetDevice from a user perspective, but are actually used also in
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-enb-phy.cc ns-3.44/src/lte/model/lte-enb-phy.cc
--- ns-3.43/src/lte/model/lte-enb-phy.cc	2024-10-09 16:41:10.036656400 -0700
+++ ns-3.44/src/lte/model/lte-enb-phy.cc	2025-03-09 16:55:49.599372000 -0700
@@ -15,19 +15,19 @@
 #include "lte-spectrum-value-helper.h"
 #include "lte-vendor-specific-parameters.h"
 
-#include <ns3/attribute-accessor-helper.h>
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/object-factory.h>
-#include <ns3/simulator.h>
+#include "ns3/attribute-accessor-helper.h"
+#include "ns3/double.h"
+#include "ns3/log.h"
+#include "ns3/object-factory.h"
+#include "ns3/simulator.h"
 
 #include <cfloat>
 #include <cmath>
 
 // WILD HACK for the initialization of direct eNB-UE ctrl messaging
-#include <ns3/node-list.h>
-#include <ns3/node.h>
-#include <ns3/pointer.h>
+#include "ns3/node-list.h"
+#include "ns3/node.h"
+#include "ns3/pointer.h"
 
 namespace ns3
 {
@@ -55,14 +55,14 @@
 // member SAP forwarders
 ////////////////////////////////////////
 
-/// \todo SetBandwidth() and SetCellId() can be removed.
+/// @todo SetBandwidth() and SetCellId() can be removed.
 class EnbMemberLteEnbPhySapProvider : public LteEnbPhySapProvider
 {
   public:
     /**
      * Constructor
      *
-     * \param phy the ENB Phy
+     * @param phy the ENB Phy
      */
     EnbMemberLteEnbPhySapProvider(LteEnbPhy* phy);
 
@@ -73,14 +73,14 @@
     /**
      * Set bandwidth function
      *
-     * \param ulBandwidth the UL bandwidth
-     * \param dlBandwidth the DL bandwidth
+     * @param ulBandwidth the UL bandwidth
+     * @param dlBandwidth the DL bandwidth
      */
     virtual void SetBandwidth(uint16_t ulBandwidth, uint16_t dlBandwidth);
     /**
      * Set Cell ID function
      *
-     * \param cellId the cell ID
+     * @param cellId the cell ID
      */
     virtual void SetCellId(uint16_t cellId);
 
@@ -140,7 +140,7 @@
       m_nrFrames(0),
       m_nrSubFrames(0),
       m_srsPeriodicity(0),
-      m_srsStartTime(Seconds(0)),
+      m_srsStartTime(),
       m_currentSrsOffset(0),
       m_interferenceSampleCounter(0)
 {
@@ -760,6 +760,7 @@
     NS_LOG_FUNCTION(this << " eNB " << m_cellId << " start tx ctrl frame");
     // set the current tx power spectral density (full bandwidth)
     std::vector<int> dlRb;
+    dlRb.reserve(m_dlBandwidth);
     for (uint16_t i = 0; i < m_dlBandwidth; i++)
     {
         dlRb.push_back(i);
